Namespaces | Enumerations | Functions
EPUBToken.h File Reference
`#include <boost/static_assert.hpp>`
`#include "EBOOKToken.h"`

Go to the source code of this file.

## Namespaces
| libebook
| libebook::EPUBToken

## Enumerations
enum | { libebook::EPUBToken::INVALID_TOKEN = 0, libebook::EPUBToken::FIRST_TOKEN = EBOOKToken<EPUBParser>::FIRST_TOKEN, libebook::EPUBToken::container, libebook::EPUBToken::xml, libebook::EPUBToken::xmlns, libebook::EPUBToken::rootfiles, libebook::EPUBToken::rootfile, libebook::EPUBToken::signatures, libebook::EPUBToken::encryption, libebook::EPUBToken::version, libebook::EPUBToken::full_path, libebook::EPUBToken::media_type, libebook::EPUBToken::_1_0, libebook::EPUBToken::MIME_epub, libebook::EPUBToken::MIME_opf, libebook::EPUBToken::LAST_TOKEN }
enum | libebook::EPUBToken::Namespace { libebook::EPUBToken::NS_container = container << 16, libebook::EPUBToken::NS_xml = xml << 16, libebook::EPUBToken::NS_xmlns = xmlns << 16 }

## Functions
| libebook::EPUBToken::BOOST_STATIC_ASSERT (EBOOKToken< EPUBParser >::LAST_TOKEN >=LAST_TOKEN)
int | libebook::getEPUBTokenId (const char *const name, const char *const ns)
int | libebook::getEPUBTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | libebook::getEPUBTokenId (const char *const name, const std::size_t nameLen)